curl --request PATCH \
--url https://api.anchorbrowser.io/v1/applications/{applicationId}/auth-flows/{authFlowId} \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '
{
"name": "Updated Login Flow"
}
'import requests
url = "https://api.anchorbrowser.io/v1/applications/{applicationId}/auth-flows/{authFlowId}"
payload = { "name": "Updated Login Flow" }
headers = {
"anchor-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'anchor-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Login Flow'})
};
fetch('https://api.anchorbrowser.io/v1/applications/{applicationId}/auth-flows/{authFlowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"is_recommended": true,
"methods": [
"<string>"
],
"custom_fields": [
{
"name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": 123,
"message": "<string>"
}
}Update Authentication Flow
Updates an existing authentication flow.
Authorizations
API key for your Anchor Browser account, sent as the anchor-api-key header on every
request. Create one at app.anchorbrowser.io (API Access),
or obtain one programmatically via the unauthenticated agent-access flow
(POST /v1/agent-access).
Path Parameters
The ID of the application
The ID of the authentication flow to update
Body
Name of the authentication flow
Description of the authentication flow
Whether this is the recommended authentication flow
Authentication methods in this flow
username_password, authenticator, custom Custom fields for this authentication flow
Show child attributes
Show child attributes
Response
authentication flow updated successfully
Unique identifier for the authentication flow
Name of the authentication flow
Description of the authentication flow
Whether this is the recommended authentication flow
Authentication methods in this flow
Custom fields for this authentication flow
Show child attributes
Show child attributes
Timestamp when the authentication flow was created
Timestamp when the authentication flow was last updated
Was this page helpful?

